# Create a new payment

Endpoint: POST /payment
Version: 1.0.0
Security: InfiniHmac

## Security:

  - `InfiniHmac` (unknown)
    http basic

## Header parameters:

  - `Date` (string)
    GMT server time (e.g. Tue, 21 Jan 2025 12:00:00 GMT). Required for every request.

  - `Authorization` (string)
    HMAC-SHA256 `Signature` header. See the [Authentication](/docs/en/4-authorization) guide.

  - `Digest` (string)
    SHA-256 digest of the request body (when a body is present).

## Request fields (application/json):

  - `order_id` (string, required)
    Order ID

  - `payment_method` (integer)
    Payment method
    Example: 1

  - `chain` (string, required)
    Chain
    Example: ETHEREUM

  - `token_id` (string, required)
    Token identifier
    Example: USDT

  - `force_create` (boolean)
    Always create a new payment instead of reusing an existing reusable payment
    Example: false

## Response 200 fields (application/json):

  - `payment_id` (string)
    Payment ID

  - `amount` (string)
    USD-denominated amount the payer still owes (== due_amount)

  - `due_amount_fiat` (string)
    Payment snapshot amount in order currency (immutable once payment is created)

  - `amount_confirmed` (string)
    USD-denominated amount already confirmed

  - `amount_confirming` (string)
    USD-denominated amount currently confirming

  - `address` (string)
    Payment address

  - `expires_at` (integer)
    Expires time (Unix timestamp)

  - `quoted_token_amount` (string)
    Amount shown to payer, in pay_currency units

  - `quoted_token_currency` (string)
    Currency of quoted_token_amount (matches pay_currency)

  - `quoted_token_price_usdc` (string)
    USDC-per-token snapshot at create time; 0 for stablecoins

